SoapySDR: SoapySDRArgInfo Struct Reference

| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Loading...
Searching...
No Matches
Public Attributes | List of all members
SoapySDRArgInfo Struct Reference

Definition for argument info. More...

`#include <Types.h>`

## Public Attributes
char * | key
| The key used to identify the argument (required).
char * | value
char * | name
| The displayable name of the argument (optional, use key if empty).
char * | description
| A brief description about the argument (optional).
char * | units
| The units of the argument: dB, Hz, etc (optional).
SoapySDRArgInfoType | type
| The data type of the argument (required).
SoapySDRRange | range
size_t | numOptions
| The size of the options set, or 0 when not used.
char ** | options
char ** | optionNames

## Detailed Description

Definition for argument info.

## Member Data Documentation

## ◆ description

char* SoapySDRArgInfo::description

A brief description about the argument (optional).

## ◆ key

char* SoapySDRArgInfo::key

The key used to identify the argument (required).

## ◆ name

char* SoapySDRArgInfo::name

The displayable name of the argument (optional, use key if empty).

## ◆ numOptions

size_t SoapySDRArgInfo::numOptions

The size of the options set, or 0 when not used.

## ◆ optionNames

char** SoapySDRArgInfo::optionNames

A discrete list of displayable names for the enumerated options (optional) When not specified, the option value itself can be used as a display name.

## ◆ options

char** SoapySDRArgInfo::options

A discrete list of possible values (optional) When specified, the argument should be restricted to this options set.

## ◆ range

SoapySDRRange SoapySDRArgInfo::range

The range of possible numeric values (optional) When specified, the argument should be restricted to this range. The range is only applicable to numeric argument types.

## ◆ type

SoapySDRArgInfoType SoapySDRArgInfo::type

The data type of the argument (required).

## ◆ units

char* SoapySDRArgInfo::units

The units of the argument: dB, Hz, etc (optional).

## ◆ value

char* SoapySDRArgInfo::value

The default value of the argument when not specified (required) Numbers should use standard floating point and integer formats. Boolean values should be represented as "true" and "false".

The documentation for this struct was generated from the following file:

- Types.h